Index: ./net/libsoup-devel/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libsoup-devel/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./net/libsoup-devel/buildlink3.mk	5 Feb 2006 23:10:26 -0000	1.5
+++ ./net/libsoup-devel/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libsoup-devel
 
 .if !empty(LIBSOUP_DEVEL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsoup-devel+=	libsoup-devel>=2.2.0
-BUILDLINK_RECOMMENDED.libsoup-devel?=	libsoup-devel>=2.2.7nb1
+BUILDLINK_API_DEPENDS.libsoup-devel+=	libsoup-devel>=2.2.0
+BUILDLINK_ABI_DEPENDS.libsoup-devel?=	libsoup-devel>=2.2.7nb1
 BUILDLINK_PKGSRCDIR.libsoup-devel?=	../../net/libsoup-devel
 .endif	# LIBSOUP_DEVEL_BUILDLINK3_MK
 
Index: ./net/libtorrent/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libtorrent/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./net/libtorrent/buildlink3.mk	3 Mar 2006 15:30:53 -0000	1.6
+++ ./net/libtorrent/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libtorrent
 
 .if !empty(LIBTORRENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libtorrent+=		libtorrent>=0.8.0
-BUILDLINK_RECOMMENDED.libtorrent+=	libtorrent>=0.8.5nb1
+BUILDLINK_API_DEPENDS.libtorrent+=		libtorrent>=0.8.0
+BUILDLINK_ABI_DEPENDS.libtorrent+=	libtorrent>=0.8.5nb1
 BUILDLINK_PKGSRCDIR.libtorrent?=	../../net/libtorrent
 .endif	# LIBTORRENT_BUILDLINK3_MK
 
Index: ./net/linc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/linc/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/linc/buildlink3.mk	5 Feb 2006 23:10:26 -0000	1.3
+++ ./net/linc/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	linc
 
 .if !empty(LINC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.linc+=	linc>=1.1.1
-BUILDLINK_RECOMMENDED.linc+=	linc>=1.1.1nb3
+BUILDLINK_API_DEPENDS.linc+=	linc>=1.1.1
+BUILDLINK_ABI_DEPENDS.linc+=	linc>=1.1.1nb3
 BUILDLINK_PKGSRCDIR.linc?=	../../net/linc
 .endif	# LINC_BUILDLINK3_MK
 
Index: ./net/mDNSResponder/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/mDNSResponder/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/mDNSResponder/buildlink3.mk	5 Feb 2006 23:10:26 -0000	1.2
+++ ./net/mDNSResponder/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mDNSResponder
 
 .if !empty(MDNSRESPONDER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mDNSResponder+=	mDNSResponder>=98
-BUILDLINK_RECOMMENDED.mDNSResponder?=	mDNSResponder>=107.5nb1
+BUILDLINK_API_DEPENDS.mDNSResponder+=	mDNSResponder>=98
+BUILDLINK_ABI_DEPENDS.mDNSResponder?=	mDNSResponder>=107.5nb1
 BUILDLINK_PKGSRCDIR.mDNSResponder?=	../../net/mDNSResponder
 .endif	# MDNSRESPONDER_BUILDLINK3_MK
 
Index: ./net/mldonkey-gui/options.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/mldonkey-gui/options.mk,v
retrieving revision 1.4
diff -u -r1.4 options.mk
--- ./net/mldonkey-gui/options.mk	1 Nov 2005 21:48:22 -0000	1.4
+++ ./net/mldonkey-gui/options.mk	4 Apr 2006 06:26:55 -0000
@@ -17,6 +17,6 @@
 .include "../../graphics/librsvg2/buildlink3.mk"
 .include "../../x11/gtk2/buildlink3.mk"
 # 2.6.0 is the first ~stable version (for mldonkey)
-BUILDLINK_DEPENDS.lablgtk2+=	lablgtk2>=2.6.0
+BUILDLINK_API_DEPENDS.lablgtk2+=	lablgtk2>=2.6.0
 .include "../../x11/lablgtk2/buildlink3.mk"
 .endif
Index: ./net/nemesis/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/nemesis/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./net/nemesis/Makefile	4 Mar 2006 21:30:21 -0000	1.14
+++ ./net/nemesis/Makefile	4 Apr 2006 06:26:55 -0000
@@ -10,7 +10,7 @@
 
 GNU_CONFIGURE=  yes
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.0.2a
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.0.2a
 
 .include "../../net/libpcap/buildlink3.mk"
 .include "../../devel/libnet/buildlink3.mk"
Index: ./net/net-snmp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/net-snmp/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./net/net-snmp/buildlink3.mk	24 Jan 2006 22:16:55 -0000	1.7
+++ ./net/net-snmp/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	net-snmp
 
 .if !empty(NET_SNMP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.net-snmp+=	net-snmp>=5.0.9nb3
-BUILDLINK_RECOMMENDED.net-snmp+=	net-snmp>=5.2.1.2
+BUILDLINK_API_DEPENDS.net-snmp+=	net-snmp>=5.0.9nb3
+BUILDLINK_ABI_DEPENDS.net-snmp+=	net-snmp>=5.2.1.2
 BUILDLINK_PKGSRCDIR.net-snmp?=	../../net/net-snmp
 .endif	# NET_SNMP_BUILDLINK3_MK
 
Index: ./net/netatalk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/netatalk/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./net/netatalk/buildlink3.mk	5 Feb 2006 23:10:27 -0000	1.8
+++ ./net/netatalk/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	netatalk
 
 .if !empty(NETATALK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.netatalk+=	netatalk>=2.0.3nb2
-BUILDLINK_RECOMMENDED.netatalk?=	netatalk>=2.0.3nb3
+BUILDLINK_API_DEPENDS.netatalk+=	netatalk>=2.0.3nb2
+BUILDLINK_ABI_DEPENDS.netatalk?=	netatalk>=2.0.3nb3
 BUILDLINK_PKGSRCDIR.netatalk?=	../../net/netatalk
 BUILDLINK_DEPMETHOD.netatalk?=	build
 .endif	# NETATALK_BUILDLINK3_MK
Index: ./net/netatalk1/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/netatalk1/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/netatalk1/buildlink3.mk	5 Feb 2006 23:10:27 -0000	1.2
+++ ./net/netatalk1/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	netatalk
 
 .if !empty(NETATALK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.netatalk+=	netatalk>=1.6.2
-BUILDLINK_RECOMMENDED.netatalk+=	netatalk>=1.6.4anb1
+BUILDLINK_API_DEPENDS.netatalk+=	netatalk>=1.6.2
+BUILDLINK_ABI_DEPENDS.netatalk+=	netatalk>=1.6.4anb1
 BUILDLINK_PKGSRCDIR.netatalk?=	../../net/netatalk1
 .endif	# NETATALK_BUILDLINK3_MK
 
Index: ./net/netbsd-tap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/netbsd-tap/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/netbsd-tap/buildlink3.mk	20 Feb 2005 21:50:57 -0000	1.2
+++ ./net/netbsd-tap/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	netbsd-tap
 
 .if !empty(NETBSD_TAP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.netbsd-tap+=	netbsd-tap>=20050120
+BUILDLINK_API_DEPENDS.netbsd-tap+=	netbsd-tap>=20050120
 BUILDLINK_PKGSRCDIR.netbsd-tap?=	../../net/netbsd-tap
 .endif	# NETBSD_TAP_BUILDLINK3_MK
 
Index: ./net/netbsd-tap/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/netbsd-tap/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- ./net/netbsd-tap/builtin.mk	1 Jun 2005 18:03:08 -0000	1.2
+++ ./net/netbsd-tap/builtin.mk	4 Apr 2006 06:26:55 -0000
@@ -31,7 +31,7 @@
 .    if defined(BUILTIN_PKG.netbsd-tap) && \
         !empty(IS_BUILTIN.netbsd-tap:M[yY][eE][sS])
 USE_BUILTIN.netbsd-tap=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.netbsd-tap}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.netbsd-tap}
 .        if !empty(USE_BUILTIN.netbsd-tap:M[yY][eE][sS])
 USE_BUILTIN.netbsd-tap!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.netbsd-tap:Q}; then \
Index: ./net/ns/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/ns/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- ./net/ns/Makefile	23 Feb 2006 23:37:47 -0000	1.24
+++ ./net/ns/Makefile	4 Apr 2006 06:26:55 -0000
@@ -12,8 +12,8 @@
 
 PKG_INSTALLATION_TYPES=	overwrite pkgviews
 
-BUILDLINK_DEPENDS.tcl+=	tcl>=8.4.12nb1
-BUILDLINK_DEPENDS.tk+=	tk>=8.4.12nb2
+BUILDLINK_API_DEPENDS.tcl+=	tcl>=8.4.12nb1
+BUILDLINK_API_DEPENDS.tk+=	tk>=8.4.12nb2
 
 WRKSRC=		${WRKDIR}/${DISTNAME:S/-src//}
 USE_LANGUAGES=	c c++
Index: ./net/nsd/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/nsd/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- ./net/nsd/Makefile	29 Dec 2005 06:22:00 -0000	1.34
+++ ./net/nsd/Makefile	4 Apr 2006 06:26:55 -0000
@@ -9,7 +9,7 @@
 COMMENT=	Authoritative-only DNS server
 
 BUILD_DEFS+=	USE_INET6
-BUILDLINK_DEPENDS.openssl+=	openssl>=0.9.7
+BUILDLINK_API_DEPENDS.openssl+=	openssl>=0.9.7
 
 .include "../../mk/bsd.prefs.mk"
 
Index: ./net/ntop/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/ntop/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- ./net/ntop/Makefile	5 Feb 2006 23:10:28 -0000	1.43
+++ ./net/ntop/Makefile	4 Apr 2006 06:26:55 -0000
@@ -29,7 +29,7 @@
 # ntop-3.x crashes with IPv6
 CONFIGURE_ARGS+=	--disable-ipv6
 
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.8.3
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.8.3
 
 .include "../../mk/pthread.buildlink3.mk"
 .if defined(PTHREAD_TYPE) && ${PTHREAD_TYPE} == "none"
Index: ./net/openh323/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/openh323/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/openh323/buildlink3.mk	5 Feb 2006 23:10:28 -0000	1.3
+++ ./net/openh323/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	openh323
 
 .if !empty(OPENH323_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openh323+=	openh323>=1.15.1
-BUILDLINK_RECOMMENDED.openh323+=	openh323>=1.15.2nb1
+BUILDLINK_API_DEPENDS.openh323+=	openh323>=1.15.1
+BUILDLINK_ABI_DEPENDS.openh323+=	openh323>=1.15.2nb1
 BUILDLINK_PKGSRCDIR.openh323?=	../../net/openh323
 .endif	# OPENH323_BUILDLINK3_MK
 
Index: ./net/openslp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/openslp/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./net/openslp/buildlink3.mk	26 May 2005 20:14:21 -0000	1.8
+++ ./net/openslp/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	openslp
 
 .if !empty(OPENSLP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openslp+=	openslp>=1.0.1
-BUILDLINK_RECOMMENDED.openslp+=	openslp>=1.2.1
+BUILDLINK_API_DEPENDS.openslp+=	openslp>=1.0.1
+BUILDLINK_ABI_DEPENDS.openslp+=	openslp>=1.2.1
 BUILDLINK_PKGSRCDIR.openslp?=	../../net/openslp
 .endif	# OPENSLP_BUILDLINK3_MK
 
Index: ./net/p5-Net-Packet/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/p5-Net-Packet/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ./net/p5-Net-Packet/Makefile	5 Nov 2005 19:37:54 -0000	1.2
+++ ./net/p5-Net-Packet/Makefile	4 Apr 2006 06:26:55 -0000
@@ -16,7 +16,7 @@
 DEPENDS+=	p5-Class-Gomor-Hash-[0-9]*:../../devel/p5-Class-Gomor-Hash
 
 PKG_INSTALLATION_TYPES=		overwrite pkgviews
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.9.3nb2
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.9.3nb2
 
 PERL5_PACKLIST=		auto/Net/Packet/.packlist
 
Index: ./net/p5-Net-Pcap/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/p5-Net-Pcap/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- ./net/p5-Net-Pcap/Makefile	26 Jan 2006 02:00:16 -0000	1.9
+++ ./net/p5-Net-Pcap/Makefile	4 Apr 2006 06:26:55 -0000
@@ -10,7 +10,7 @@
 HOMEPAGE=	http://search.cpan.org/dist/Net-Pcap/
 COMMENT=	Perl interface to pcap(3) LBL packet capture library
 
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.8.1
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.8.1
 
 PERL5_PACKLIST=	auto/Net/Pcap/.packlist
 
Index: ./net/py-ORBit/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/py-ORBit/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- ./net/py-ORBit/Makefile	5 Feb 2006 23:10:30 -0000	1.22
+++ ./net/py-ORBit/Makefile	4 Apr 2006 06:26:55 -0000
@@ -20,7 +20,7 @@
 CONFIGURE_ENV+=	PYTHON=${PYTHONBIN:Q}
 
 PYTHON_VERSIONS_ACCEPTED=	24 23 22
-BUILDLINK_DEPENDS.python22+=	python22>=2.2.2nb2
+BUILDLINK_API_DEPENDS.python22+=	python22>=2.2.2nb2
 
 .include "../../net/ORBit2/buildlink3.mk"
 .include "../../lang/python/extension.mk"
Index: ./net/py-ORBit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/py-ORBit/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./net/py-ORBit/buildlink3.mk	5 Feb 2006 23:10:30 -0000	1.9
+++ ./net/py-ORBit/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyorbit
 
 .if !empty(PY_ORBIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyorbit+=	${PYPKGPREFIX}-ORBit>=2.0.0nb1
-BUILDLINK_RECOMMENDED.pyorbit+=	${PYPKGPREFIX}-ORBit>=2.0.1nb1
+BUILDLINK_API_DEPENDS.pyorbit+=	${PYPKGPREFIX}-ORBit>=2.0.0nb1
+BUILDLINK_ABI_DEPENDS.pyorbit+=	${PYPKGPREFIX}-ORBit>=2.0.1nb1
 BUILDLINK_PKGSRCDIR.pyorbit?=	../../net/py-ORBit
 .endif	# PY_ORBIT_BUILDLINK3_MK
 
Index: ./net/py-libdnet/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/py-libdnet/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/py-libdnet/buildlink3.mk	5 Feb 2006 23:10:30 -0000	1.2
+++ ./net/py-libdnet/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -14,8 +14,8 @@
 
 .include "../../lang/python/pyversion.mk"
 
-BUILDLINK_DEPENDS.pylibdnet+=	${PYPKGPREFIX}-libdnet>=1.7
-BUILDLINK_RECOMMENDED.pylibdnet?=	${PYPKGPREFIX}-libdnet>=1.10nb1
+BUILDLINK_API_DEPENDS.pylibdnet+=	${PYPKGPREFIX}-libdnet>=1.7
+BUILDLINK_ABI_DEPENDS.pylibdnet?=	${PYPKGPREFIX}-libdnet>=1.10nb1
 BUILDLINK_PKGSRCDIR.pylibdnet?=	../../net/py-libdnet
 .endif	# PYLIBDNET_BUILDLINK3_MK
 
Index: ./net/py-libpcap/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/py-libpcap/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- ./net/py-libpcap/Makefile	4 Mar 2006 21:30:23 -0000	1.6
+++ ./net/py-libpcap/Makefile	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 COMMENT=		Python wrapper for libpcap
 
 PYDISTUTILSPKG=		yes
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.9.3nb1
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.9.3nb1
 
 pre-build:
 	(cd ${WRKSRC} && ${PYTHONBIN} mk-constants.py)
Index: ./net/py-libpcap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/py-libpcap/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/py-libpcap/buildlink3.mk	5 Feb 2006 23:10:30 -0000	1.2
+++ ./net/py-libpcap/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -14,8 +14,8 @@
 
 .include "../../lang/python/pyversion.mk"
 
-BUILDLINK_DEPENDS.pylibpcap+=	${PYPKGPREFIX}-libpcap>=0.5.0
-BUILDLINK_RECOMMENDED.pylibpcap?=	${PYPKGPREFIX}-libpcap>=0.5nb1
+BUILDLINK_API_DEPENDS.pylibpcap+=	${PYPKGPREFIX}-libpcap>=0.5.0
+BUILDLINK_ABI_DEPENDS.pylibpcap?=	${PYPKGPREFIX}-libpcap>=0.5nb1
 BUILDLINK_PKGSRCDIR.pylibpcap?=	../../net/py-libpcap
 
 .endif	# PYLIBPCAP_BUILDLINK3_MK
Index: ./net/py-soappy/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/py-soappy/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/py-soappy/buildlink3.mk	5 Feb 2006 23:10:30 -0000	1.3
+++ ./net/py-soappy/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	py-SOAPpy
 
 .if !empty(PY_SOAPPY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.py-SOAPpy+=	${PYPKGPREFIX}-SOAPpy>=0.11.4
-BUILDLINK_RECOMMENDED.py-SOAPpy?=	${PYPKGPREFIX}-SOAPpy>=0.11.4nb4
+BUILDLINK_API_DEPENDS.py-SOAPpy+=	${PYPKGPREFIX}-SOAPpy>=0.11.4
+BUILDLINK_ABI_DEPENDS.py-SOAPpy?=	${PYPKGPREFIX}-SOAPpy>=0.11.4nb4
 BUILDLINK_PKGSRCDIR.py-SOAPpy?=	../../net/py-soappy
 .endif	# PY_SOAPPY_BUILDLINK3_MK
 
Index: ./net/samba/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/samba/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/samba/buildlink3.mk	14 Sep 2004 17:18:06 -0000	1.2
+++ ./net/samba/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	samba
 
 .if !empty(SAMBA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.samba+=	samba>=3.0.7
+BUILDLINK_API_DEPENDS.samba+=	samba>=3.0.7
 BUILDLINK_PKGSRCDIR.samba?=	../../net/samba
 .endif	# SAMBA_BUILDLINK3_MK
 
Index: ./net/scdp/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/scdp/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./net/scdp/Makefile	11 Apr 2005 21:46:59 -0000	1.5
+++ ./net/scdp/Makefile	4 Apr 2006 06:26:55 -0000
@@ -13,7 +13,7 @@
 
 GNU_CONFIGURE=	yes
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.0.*
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.0.*
 
 .include "../../devel/libnet/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./net/scli/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/scli/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./net/scli/Makefile	4 Mar 2006 21:30:24 -0000	1.18
+++ ./net/scli/Makefile	4 Apr 2006 06:26:55 -0000
@@ -13,7 +13,7 @@
 GNU_CONFIGURE=		yes
 
 USE_GNU_READLINE=	# history_list
-BUILDLINK_DEPENDS.readline?=    readline>=4.0
+BUILDLINK_API_DEPENDS.readline?=    readline>=4.0
 
 INFO_FILES=		scli.info
 
Index: ./net/socks4/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/socks4/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./net/socks4/buildlink3.mk	5 Mar 2004 19:25:38 -0000	1.5
+++ ./net/socks4/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	socks4
 
 .if !empty(SOCKS4_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.socks4+=	socks4>=2.2
+BUILDLINK_API_DEPENDS.socks4+=	socks4>=2.2
 BUILDLINK_PKGSRCDIR.socks4?=	../../net/socks4
 
 BUILDLINK_TRANSFORM+=	l:socks:socks4
Index: ./net/socks5/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/socks5/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./net/socks5/buildlink3.mk	5 Mar 2004 19:25:39 -0000	1.5
+++ ./net/socks5/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	socks5
 
 .if !empty(SOCKS5_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.socks5+=	socks5>=1.0.2
+BUILDLINK_API_DEPENDS.socks5+=	socks5>=1.0.2
 BUILDLINK_PKGSRCDIR.socks5?=	../../net/socks5
 .endif	# SOCKS5_BUILDLINK3_MK
 
Index: ./net/soup/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/soup/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./net/soup/buildlink3.mk	5 Feb 2006 23:10:31 -0000	1.4
+++ ./net/soup/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	soup
 
 .if !empty(SOUP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.soup?=                soup>=0.7.11nb3
-BUILDLINK_RECOMMENDED.soup?=	soup>=0.7.11nb5
+BUILDLINK_API_DEPENDS.soup?=                soup>=0.7.11nb3
+BUILDLINK_ABI_DEPENDS.soup?=	soup>=0.7.11nb5
 BUILDLINK_PKGSRCDIR.soup?=	../../net/soup
 .endif	# SOUP_BUILDLINK3_MK
 
Index: ./net/spread/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/spread/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/spread/buildlink3.mk	5 Mar 2004 19:25:39 -0000	1.3
+++ ./net/spread/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	spread
 
 .if !empty(SPREAD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.spread+=	spread>=3.17.1
+BUILDLINK_API_DEPENDS.spread+=	spread>=3.17.1
 BUILDLINK_PKGSRCDIR.spread?=	../../net/spread
 .endif	# SPREAD_BUILDLINK3_MK
 
Index: ./net/tcl-scotty/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/tcl-scotty/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./net/tcl-scotty/Makefile	11 Apr 2005 21:47:00 -0000	1.18
+++ ./net/tcl-scotty/Makefile	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 HOMEPAGE=	http://wwwhome.cs.utwente.nl/~schoenw/scotty/
 COMMENT=	Network management extensions to TCL
 
-BUILDLINK_DEPENDS.tcl+=	tcl>=8.4.6nb4
+BUILDLINK_API_DEPENDS.tcl+=	tcl>=8.4.6nb4
 
 PKG_INSTALLATION_TYPES=	overwrite pkgviews
 
Index: ./net/tcl-scotty/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/tcl-scotty/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/tcl-scotty/buildlink3.mk	3 Oct 2004 00:18:00 -0000	1.2
+++ ./net/tcl-scotty/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-scotty
 
 .if !empty(TCL_SCOTTY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-scotty+=	tcl-scotty>=2.1.11
-BUILDLINK_RECOMMENDED.tcl-scotty+=	tcl-scotty>=2.1.11nb4
+BUILDLINK_API_DEPENDS.tcl-scotty+=	tcl-scotty>=2.1.11
+BUILDLINK_ABI_DEPENDS.tcl-scotty+=	tcl-scotty>=2.1.11nb4
 BUILDLINK_PKGSRCDIR.tcl-scotty?=	../../net/tcl-scotty
 .endif	# TCL_SCOTTY_BUILDLINK3_MK
 
Index: ./net/tcpdump/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/tcpdump/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./net/tcpdump/Makefile	4 Mar 2006 21:30:24 -0000	1.21
+++ ./net/tcpdump/Makefile	4 Apr 2006 06:26:55 -0000
@@ -13,7 +13,7 @@
 .include "options.mk"
 
 # not strictly needed
-BUILDLINK_DEPENDS.libpcap+= libpcap>=0.9.3
+BUILDLINK_API_DEPENDS.libpcap+= libpcap>=0.9.3
 .include "../../net/libpcap/buildlink3.mk"
 .include "../../security/openssl/buildlink3.mk"
 
Index: ./net/tcpreplay/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/tcpreplay/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./net/tcpreplay/Makefile	4 Mar 2006 21:30:25 -0000	1.14
+++ ./net/tcpreplay/Makefile	4 Apr 2006 06:26:55 -0000
@@ -8,7 +8,7 @@
 HOMEPAGE=	http://tcpreplay.sourceforge.net/
 COMMENT=	Replay saved tcpdump or snoop files
 
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.6
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.6
 
 GNU_CONFIGURE=	yes
 
Index: ./net/tcptraceroute/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/tcptraceroute/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- ./net/tcptraceroute/Makefile	17 Jun 2005 03:50:28 -0000	1.10
+++ ./net/tcptraceroute/Makefile	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 COMMENT=		Traceroute implementation using TCP packets
 
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.0.*
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.0.*
 
 BUILD_TARGET=		tcptraceroute
 
Index: ./net/tor/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/tor/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- ./net/tor/Makefile	14 Mar 2006 01:14:31 -0000	1.26
+++ ./net/tor/Makefile	4 Apr 2006 06:26:55 -0000
@@ -60,7 +60,7 @@
 	${INSTALL_DATA_DIR} ${PREFIX}/${RCD_SCRIPTS_EXAMPLEDIR}
 	${INSTALL_SCRIPT} ${WRKSRC}/tor.pkgsrc.rc ${PREFIX}/${RCD_SCRIPTS_EXAMPLEDIR}/tor
 
-BUILDLINK_DEPENDS.libevent+= libevent>=1.1a
+BUILDLINK_API_DEPENDS.libevent+= libevent>=1.1a
 # XXX the pkgsrc libevent builtin.mk does not detect the version of a builtin
 # libevent, so we need to force use of the pkgsrc one
 USE_BUILTIN.libevent=	no
Index: ./net/trafshow/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/trafshow/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- ./net/trafshow/Makefile	4 Mar 2006 21:30:25 -0000	1.25
+++ ./net/trafshow/Makefile	4 Apr 2006 06:26:55 -0000
@@ -29,7 +29,7 @@
 	${INSTALL_DATA} ${WRKSRC}/.trafshow \
 		${PREFIX}/share/examples/trafshow/trafshow
 
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.7
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.7
 .include "../../net/libpcap/buildlink3.mk"
 
 .include "../../mk/curses.buildlink3.mk"
Index: ./net/ucarp/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/ucarp/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- ./net/ucarp/Makefile	5 Feb 2006 23:10:32 -0000	1.7
+++ ./net/ucarp/Makefile	4 Apr 2006 06:26:55 -0000
@@ -15,7 +15,7 @@
 GNU_CONFIGURE=		YES
 
 # pcap_freecode with one argument only
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.6.0
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.6.0
 
 post-install:
 	${INSTALL_DATA_DIR} ${PREFIX}/share/doc/ucarp
Index: ./net/unison/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/unison/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- ./net/unison/Makefile	5 Feb 2006 23:10:32 -0000	1.31
+++ ./net/unison/Makefile	4 Apr 2006 06:26:55 -0000
@@ -12,7 +12,7 @@
 PKG_INSTALLATION_TYPES=	overwrite pkgviews
 
 DIST_SUBDIR=	${PKGNAME_NOREV}
-BUILDLINK_DEPENDS.ocaml+=	ocaml>=3.08.2
+BUILDLINK_API_DEPENDS.ocaml+=	ocaml>=3.08.2
 
 # docs: unison-manual.pdf/html/ps/dvi
 WRKSRC=		${WRKDIR}/${PKGNAME_NOREV}
Index: ./net/unison-devel/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/unison-devel/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./net/unison-devel/Makefile	5 Feb 2006 23:10:32 -0000	1.14
+++ ./net/unison-devel/Makefile	4 Apr 2006 06:26:55 -0000
@@ -12,7 +12,7 @@
 PKG_INSTALLATION_TYPES=	overwrite pkgviews
 
 DIST_SUBDIR=	${PKGNAME_NOREV}
-BUILDLINK_DEPENDS.ocaml+=	ocaml>=3.08.2
+BUILDLINK_API_DEPENDS.ocaml+=	ocaml>=3.08.2
 
 # docs: unison-manual.pdf/html/ps/dvi
 WRKSRC=		${WRKDIR}/${PKGNAME_NOREV}
Index: ./net/whoson/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/whoson/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./net/whoson/buildlink3.mk	11 Oct 2004 16:51:54 -0000	1.1.1.1
+++ ./net/whoson/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	whoson
 
 .if !empty(WHOSON_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.whoson+=	whoson>=2.03
+BUILDLINK_API_DEPENDS.whoson+=	whoson>=2.03
 BUILDLINK_PKGSRCDIR.whoson?=	../../net/whoson
 .endif	# WHOSON_BUILDLINK3_MK
 
Index: ./net/xfce4-wavelan-plugin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/xfce4-wavelan-plugin/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./net/xfce4-wavelan-plugin/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.7
+++ ./net/xfce4-wavelan-plugin/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-wavelan-plugin
 
 .if !empty(XFCE4_WAVELAN_PLUGIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-wavelan-plugin+=	xfce4-wavelan-plugin>=0.4.1nb1
-BUILDLINK_RECOMMENDED.xfce4-wavelan-plugin?=	xfce4-wavelan-plugin>=0.4.1nb3
+BUILDLINK_API_DEPENDS.xfce4-wavelan-plugin+=	xfce4-wavelan-plugin>=0.4.1nb1
+BUILDLINK_ABI_DEPENDS.xfce4-wavelan-plugin?=	xfce4-wavelan-plugin>=0.4.1nb3
 BUILDLINK_PKGSRCDIR.xfce4-wavelan-plugin?=	../../net/xfce4-wavelan-plugin
 .endif	# XFCE4_WAVELAN_PLUGIN_BUILDLINK3_MK
 
Index: ./net/xipdump/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/xipdump/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- ./net/xipdump/Makefile	5 Feb 2006 23:10:33 -0000	1.22
+++ ./net/xipdump/Makefile	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 HOMEPAGE=	http://www.lse.epita.fr/twiki/bin/view/Projects/XipDump
 COMMENT=	Displays IP packets using X Window System
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.0.*
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.0.*
 
 PLIST_SRC=	${WRKDIR}/PLIST
 
Index: ./net/yaz/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/yaz/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./net/yaz/buildlink3.mk	5 Feb 2006 23:10:33 -0000	1.4
+++ ./net/yaz/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	yaz
 
 .if !empty(YAZ_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.yaz+=	yaz>=2.0
-BUILDLINK_RECOMMENDED.yaz+=	yaz>=2.1.6nb1
+BUILDLINK_API_DEPENDS.yaz+=	yaz>=2.0
+BUILDLINK_ABI_DEPENDS.yaz+=	yaz>=2.1.6nb1
 BUILDLINK_PKGSRCDIR.yaz?=	../../net/yaz
 .endif	# YAZ_BUILDLINK3_MK
 
Index: ./news/inn/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/news/inn/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./news/inn/buildlink3.mk	16 Mar 2004 09:48:37 -0000	1.1
+++ ./news/inn/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	inn
 
 .if !empty(INN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.inn+=	inn>=2.3.4
+BUILDLINK_API_DEPENDS.inn+=	inn>=2.3.4
 BUILDLINK_PKGSRCDIR.inn?=	../../news/inn
 
 .endif	# INN_BUILDLINK3_MK
Index: ./parallel/mpi-ch/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/parallel/mpi-ch/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./parallel/mpi-ch/buildlink3.mk	5 Feb 2006 23:10:34 -0000	1.5
+++ ./parallel/mpi-ch/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mpich
 
 .if !empty(MPICH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mpich+=	mpich>=1.2.6
-BUILDLINK_RECOMMENDED.mpich?=	mpich>=1.2.6nb3
+BUILDLINK_API_DEPENDS.mpich+=	mpich>=1.2.6
+BUILDLINK_ABI_DEPENDS.mpich?=	mpich>=1.2.6nb3
 BUILDLINK_PKGSRCDIR.mpich?=	../../parallel/mpi-ch
 BUILDLINK_DEPMETHOD.mpich?=	build
 .endif	# MPICH_BUILDLINK3_MK
Index: ./parallel/pvm3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/parallel/pvm3/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./parallel/pvm3/buildlink3.mk	5 Feb 2006 23:10:34 -0000	1.5
+++ ./parallel/pvm3/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pvm
 
 .if !empty(PVM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pvm+=		pvm>=3.4.3
-BUILDLINK_RECOMMENDED.pvm+=	pvm>=3.4.5nb1
+BUILDLINK_API_DEPENDS.pvm+=		pvm>=3.4.3
+BUILDLINK_ABI_DEPENDS.pvm+=	pvm>=3.4.5nb1
 BUILDLINK_PKGSRCDIR.pvm?=	../../parallel/pvm3
 
 .  include "${BUILDLINK_PKGSRCDIR.pvm}/arch.mk"
Index: ./pkgtools/createbuildlink/files/createbuildlink
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/createbuildlink/files/createbuildlink,v
retrieving revision 1.29
diff -u -r1.29 createbuildlink
--- ./pkgtools/createbuildlink/files/createbuildlink	31 Jan 2006 03:35:35 -0000	1.29
+++ ./pkgtools/createbuildlink/files/createbuildlink	4 Apr 2006 06:26:55 -0000
@@ -155,7 +155,7 @@
 EOF
 
 sed -f $sedrules <<EOF
-BUILDLINK_DEPENDS.$PKGNOVER+=	$PKGNOVER>=$PKGVER
+BUILDLINK_API_DEPENDS.$PKGNOVER+=	$PKGNOVER>=$PKGVER
 EOF
 
 sed -f $sedrules <<EOF
